Summary     	: HP iLO Channel Interface Driver
Name        	: hp-ilo
Version		:        8.5.0
Release		:        1.rhel5
Group       	: System Environment/Kernel
Source		: hp-ilo.tar.gz
License		: GNU Public License
Packager    	: Hewlett-Packard Company
Vendor		: Hewlett-Packard Company
URL         	: http://www.hp.com/go/proliantlinux
BuildRoot   	: /var/tmp/%{name}
Icon		: hprpm.xpm
AutoReqProv	: no
PreReq		: /bin/sh, /bin/bash
Conflicts	: hprsm, hpqci, hp-snmp-agents < 8.2.0

%description
This is the Hewlett-Packard integrated Lights-Out (iLO) system management
controller channel interface device driver. This driver establishes a channel
from the iLO 2 controller to an application such that the application can
communicate directly to the iLO 2 controller. 

# Multiline defines are supposedly supported by newer versions of RPM,
# but not on all currently supported distros (e.g. SLES9). Until we drop these
# older distros, this has to be done in one line:
%define unload_module rmmod hpilo hp-ilo > /dev/null 2>&1 || true; UNLOADABLE_MOD=$(lsmod | cut -d" " -f1 | grep -e ^hpilo -e ^hp-ilo | tr '\\n' ' '); if [ -n "$UNLOADABLE_MOD" ]; then echo "WARNING: Unable to unload existing hpilo module: $UNLOADABLE_MOD" >&2; echo "This module is likely still in use by a running application." >&2; echo "Please stop any such applications and manually unload the hpilo module" >&2; echo "or reboot your system." >&2; else rm -f /var/run/hp-ilo.loaded; fi

%prep
%setup -n %{name}

%build
EFS_VER=%{version}\-%{release}
PKG_VER=%{version}\-CUSTOM
echo "$PKG_VER" > PKG_VERSION
make OS_MODEL=LINUX EFS_VER="$EFS_VER" all

%install
if [ $RPM_BUILD_ROOT != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT

export RPM_BUILD_ROOT
export RPM_MAKE_ROOT=.
export RPM_NAME=%{name}

make install

%post
if [ $? -eq 2 ]; then
  #
  # We are upgrading - try and unload any previously loaded module
  # so that the new module can be loaded in its place.
  #
  # Note: we don't check for /var/run/hp-ilo.loaded before
  # unloading because we maybe upgrading from a version of
  # hp-ilo that didn't yet create that file.
  #
  %unload_module
fi

#
# Display EULA for Source Modules
#
echo "Please read the Licence Agreement for this software at"
echo
echo "         /opt/hp/hp-ilo/hp-ilo.license"
echo
echo "By not removing this package, you are accepting the terms"
echo "of the included licenses."
echo ""
echo "The man page, hp-ilo(4), describes how to enable and use"
echo "the hp-ilo device driver."
if [ $1 -eq 1 ]; then
	# not an upgrade, set the service to autostart
	if [ -x /sbin/insserv ]; then
		/sbin/insserv -f hp-ilo
	elif [ -x /sbin/chkconfig ]; then
		/sbin/chkconfig --add hp-ilo
	fi
fi
exit 0

%preun
if [ $1 -gt 0 ]; then
	# package upgrade
	exit 0
fi
# package removal
if [ -f /var/run/hp-ilo.loaded ]; then
  # Attempt to unload the module iff we caused it to load
  %unload_module
fi
if [ -x /sbin/insserv ]; then
   /sbin/insserv -f -r hp-ilo
elif [ -x /sbin/chkconfig ]; then
   /sbin/chkconfig --del hp-ilo
fi
exit 0

%postun
if [ $1 -eq 0 ]; then
	# package removal
	rm -rf /opt/hp/hp-ilo
	rm -f  /var/lock/subsys/hp-ilo
	echo "The hp-ilo package has been removed from this system"
fi
exit 0

%clean
rm -fR $RPM_BUILD_ROOT

%files 
%defattr(755,root,root)
/opt/hp/hp-ilo
/etc/init.d/hp-ilo
%defattr(644,root,root)
/usr/share/man/man4/hp-ilo.4.gz

%changelog
* Thu Jan 07 2010 HP Linux Development <Linux_SWdeliverables@external.groups.hp.com> 8.4.0
- 8.4.0 release (Severity: Medium)
- ENHANCEMENTS
- Rebuilt the driver against current distribution kernels
